Subject: [newtrk] updating the newtrk charter

From: [email-masked] (Scott Bradner)
Date: Thu, 12 Aug 2004 14:28:30 -0400 (EDT)

for discussion on this list 

Harald (with general area AD hat on),

I (with newtrk chair hat on) would like to add something like the
following to the newtrk charter before last paragraph

   As part of a revised standards track process, the group will also explore
   the creation of a new series of short IESG-approved IETF documents to
   describe and define individual IETF technology standards.  These documents
   will be annotated lists of documents that should be considered to be
   included in a specific standard.  The documents should include a date
   stamp so that it is clear what the IETF considers that a particular
   consisted of at any point in time.  The working group will also consider
   the usefulness of implementation and or interoperability registers in
   conjunction with such a document series.

   The working group will also discuss the usefulness of new "cleanup"
   procedures to reclassify existing standards track RFCs based on breadth of
   adoption (or lack of it) or the risk to the Internet of the technology
   described in the RFC. 

and these new milestones 

   Sep 04  publish ID describing new document series
   Sep 04  publish ID describing a new RFC cleanup process
   Apr 05  submit ID describing new document series to IESG for publication
           as a BCP RFC
   Apr 05 submit ID describing a new RFC cleanup process to IESG for
           publication as a BCP RFC

also change the dates on the existing milestones to

   dec 04 Publish initial Internet-Draft(s) describing a revised IETF
          standards track
   sep 05 Submit final Internet-Draft(s) describing a revised IETF standards
          track to IESG for publication as a BCP

Scott
.
newtrk resources:_____________________________________________________
web user interface: http://darkwing.uoregon.edu/~llynch/newtrk.html
mhonarc archive: http://darkwing.uoregon.edu/~llynch/newtrk/index.html

---

From: Keith Moore <[email-masked]>
Date: Fri, 13 Aug 2004 09:15:50 -0400

I don't think anything this specific belongs in a charter.  It seems to 
presume the solution.  We don't even really understand the problem yet.

Keith

.

---

From: Dave Crocker <[email-masked]>
Date: Fri, 13 Aug 2004 12:05:44 -0700

SB> I (with newtrk chair hat on) would like to add something like the
SB> following to the newtrk charter before last paragraph

Let me suggest that this working group should produce some useful
output, before it revises its charter.

The thread that has already ensued from Scott's note is a good
demonstration of the distraction that this sort of thing causes a
working group.

d/

.

---

From: John C Klensin <[email-masked]>
Date: Fri, 13 Aug 2004 15:38:35 -0400

--On Friday, 13 August, 2004 12:05 -0700 Dave Crocker
<[email-masked]> wrote:

> SB> I (with newtrk chair hat on) would like to add something
> like the SB> following to the newtrk charter before last
> paragraph
> 
> Let me suggest that this working group should produce some
> useful output, before it revises its charter.

Dave, I would normally agree with you (!) on this principle, but
it seems to me that Scott's proposed revision is intended to
pull John Loughney's "What standards" document and my "STD
repurposing" document explicitly within the WG's purview.  Since
moving forward with some consolidated version of the themes of
those documents was one of the few areas in which I think I
observed strong consensus in the WG's session last week,
adjusting the charter to include them and avoid potential future
debates about whether they are in scope seems appropriate.  

Conversely, the WG and the AD could decide they are not in
scope, in which case I assume John and I would produce another
draft and then ask that the IESG process it as an independent
submission for BCP.  That might be rational, and even locally
efficient, but our proposals interact sufficiently with other
proposals that are in front of the WG that separate processing
would be unlikely to help newtrk get to a coherent model.

> demonstration of the distraction that this sort of thing
> causes a working group.

Hmm.  I interpreted a significant fraction of that thread as
evidence that we still don't have a solution to the problem that
almost any topic is taken as grounds by some members of the
community to launch another iteration of their pet rants.   To
me, the manifestations of that syndrome is a far worse problem
for the IETF and its productivity and consensus process than
anything being discussed by newtrk, but it pretty clearly isn't
within newtrk's scope.

     john

.

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Sat, 14 Aug 2004 22:05:21 +0200

Dave,

were you present at the newtrk meeting in San Diego?

The things Scott are proposing are an attempt to capture in the charter the 
direction the WG meeting in San Diego wanted to pursue in fulfiling its 
charter.

If we believe that the charter is anything like a contract between the 
community and the WG to deliver results, and that deliverables should be 
listed in teh charter, it is logical to ask to update the charter when the 
WG's opinion of what the right deliverables for the WG changes.

Now, if you want to argue that those specific work items shouldn't be taken 
on by the group, please do so. So far, you haven't made that case.

                     Harald

.

---

From: Larry Masinter <[email-masked]>
Date: Sat, 14 Aug 2004 13:40:41 -0700

>    describe and define individual IETF technology standards.

I'm not sure that 'individual' gives the right sense; the problem
we're trying to solve is that a 'standard' might refer to several
RFCs. 

>    These documents
>    included in a specific standard. 

How about changing 'will be' to 'will include'? There might be
other descriptive material that talks about how the specifications
might be used in combination...

>    The documents should include a date
>    consisted of at any point in time.

How about changing 'should' to 'should also', and 'particular'
to 'particular standard'.

I don't think you say anywhere here the idea that these documents
track what used to be "standards track" and would be part of the
record when things enter the track rather than at the
end of the process.

Also, we need not only the document series, but the process for
updating it.

>   The working group will also consider

I think this is a great idea (since I've argued for it), but there
are no milestones associated with this.

>    adoption (or lack of it) or the risk to the Internet of the technology

Ditto. Milestones?

.

---

From: Dave Crocker <[email-masked]>
Date: Sat, 14 Aug 2004 14:30:13 -0700

Folks,

If one believes that the job of the IETF is to produce useful
specifications in a timely manner, then this entire working group is
more a matter of housekeeping than it is fixing problems core to the
usefulness of the IETF.

That does not mean it isn't worth doing, but it does suggest some
concern about resource expenditure.

If one believes that the IETF does not have infinite resources --
people, meeting time, ... -- then we ought to pay some attention to
efficiency. Working groups are expensive.  Creating and changing
charters is expensive.

JJCK> Dave, I would normally agree with you (!) on this principle, but
JCK> it seems to me that Scott's proposed revision is intended to
JCK> pull John Loughney's "What standards" document and my "STD

There is almost always a good reason for making a change that winds up
de-focusing a working group . That does not make it the right thing to
do.

This working group was not formed all that quickly; it had some history.
So a charter change only 5 months after the working group started should
cause folks some concern. They should be particularly concerned when the
primary focus of the working group has stalled.

JCK> repurposing" document explicitly within the WG's purview.  Since
JCK> moving forward with some consolidated version of the themes of
JCK> those documents was one of the few areas in which I think I
JCK> observed strong consensus in the WG's session last week,

I suspect you do not mean what this seems to imply about working group
chartering: Don't focus on what was chartered; change the charter to
focus on topics participants like.

JCK> adjusting the charter to include them and avoid potential future
JCK> debates about whether they are in scope seems appropriate.

Forgive me for being simplistic, but the way to avoid debates about
issues that are off topic is to declare them off topic.

If a working group resists sufficiently hard, then disband the working
group.

JCK> Hmm.  I interpreted a significant fraction of that thread as
JCK> evidence that we still don't have a solution to the problem that
JCK> almost any topic is taken as grounds by some members of the
JCK> community to launch another iteration of their pet rants.

This sounds more like either a question of working group management or
lack of sufficient rough consensus about what problem to solve. Either
way, it is difficult to imagine that expanding the charter does much
that is good, particularly since it is merely in response to a
face-to-face meeting and the change  was not even on the agenda.

HTA> were you present at the newtrk meeting in San Diego?

Is that now considered to be a pre-requisite for raising concerns about
working group productivity?

It does seem to be a question that gets raised more frequently, as a way
of deflecting critical comments.  (No, not just directed at me; I've
noticed it getting used more broadly.)

Alas, Harald, when there are 6-7 meeting tracks at the IETF, not
everyone can attend every meeting they would wish to. But let's not fix
the problem of too many parallel meetings; let's use non-attendance as a
stick for beating back critical questions.

HTA> If we believe that the charter is anything like a contract between the
HTA> community and the WG to deliver results, and that deliverables should be 
HTA> listed in teh charter, it is logical to ask to update the charter when the 
HTA> WG's opinion of what the right deliverables for the WG changes.

Contracts do not get rewritten on a whim.  And certainly not just
because one side wants to.

The working group contracted to do particular work.  Why is it required
to change that contract at this point in time?  What is the benefit to
the IETF or the community?  What problem with IETF utility will it
solve?

HTA> Now, if you want to argue that those specific work items shouldn't be taken 
HTA> on by the group, please do so. So far, you haven't made that case.

I don't suppose you have considered how inappropriate it is for the
working group's area director to enter into this sort of exchange, in
this manner, and rendering this sort of assertion.

d/
--
 Dave Crocker <dcrocker-at-brandenburg-dot-com>
 Brandenburg InternetWorking <www.brandenburg.com>
 Sunnyvale, CA  USA <tel:+1.408.246.8253>

.

---

From: John C Klensin <[email-masked]>
Date: Sat, 14 Aug 2004 23:08:14 -0400

Dave,

We may need to disagree on this one but, since you weren't at
the San Diego session (no criticism implied) and the minutes are
not yet out (and the draft minutes don't, IMO, capture this
particular discussion very well), a last attempt to see if we
can see this action in the same way.

First of all, as you may recall, I was opposed to seeing this
particular WG chartered, with its present charter or any other
charter.  The reason for that was similar, I think, to the one
you express below and in your previous note: it is unclear to me
that fine-tuning our standards process model addresses any of
the really significant problems and is a good use of limited
energy and other resources.  I (and perhaps even "we") lost that
argument: the IESG concluded that there was community consensus
that there was a need, and interest, and that it was important
enough.  I didn't appeal that decision for several reasons,
including the conviction that such an appeal would consume far
more resources than that topic was worth.

Rather than simply complaining about IETF's
apparently-deteriorating rate of production of high-quality
work, I've been trying to inject ideas into the works (some
updated versions of fairly old ones) that, in my opinion, may
help to reduce the amount of nonsense associated with the
standards process and, with a bit of goodwill and luck, permit
focusing resources more efficiently on getting quality standards
out.  We may disagree on what means would be appropriate or
effective, but I assume we agree on that general goal.
Specifically, I've been at least partially responsible for

	* draft-klensin-process-july14- (approved by IESG, now
	in BCP publication queue).  Streamlines the process of
	making small changes to IETF operating procedures and
	changes the documentation requirements in order to
	eliminate process surprises and reduce the amount of
	time wasted quibbling about fine details of proposed
	changes and their possible impact.
	
	* draft-klensin-newtrk-antiques- (deferred by newtrk).
	Tries to lay out the position that, for specifications
	that are long-established in the marketplace, the
	definition of a "standard" includes "in common use,
	shown empirically to interoperate and scale to
	production levels, and to not cause significant harm"
	and that definition/criterion should take precedence
	over any amount of procedural nitpicking and formalisms.
	
	* draft-klensin-newtrk-std-repurposing- (half of the
	subject of the current discussion).  Suggests, along
	with John Loughney's earlier document, that it is more
	important to rethink how we identify standards and their
	components, maturity level, applicability, etc., clearly
	than it is to quibble about either terminology or about
	how many steps we have in the process and how we draw
	the dividing lines among them.  

A radical view of the "three level" versus "two level" versus
"one level with versioning and iteration and interoperability
reports" debate (more radical than my position) is that it comes
pretty close to the "rearranging the deck chairs" model. If one
had that view, this document and John's "What standards" one
start from the assumption that a debate about levels is either
as waste of time or an attempt to solve the wrong problem and
that, by contrast, these proposals fall well within the intent
of the charter and address a problem that is both relevant and
solvable.

I suggest that, if a WG charter were drawn so as to be so narrow
that only one solution to the stated problem was possible, many
of us would be objecting on those grounds.  This is an alternate
solution or is complementary to solutions that are explicitly
within the charter.  Should letting the WG consider it require a
charter change?  From my standpoint, if it needs to do so, that
is symptomatic of some of our deeper "process rituals over
productivity" problems.  But I don't have a solution to those
problems in the general case, what is being proposed is
precisely directed to eliminating some other problems in that
category, and I am appalled that we are spending significant
time on the principle of whether the charter should be changed
to explicitly incorporate this work --work that clearly, IMO,
falls within the intent of the existing charter-- that should be
spent on the work itself.

     john

--On Saturday, 14 August, 2004 14:30 -0700 Dave Crocker
<[email-masked]> wrote:

> specifications in a timely manner, then this entire working
> group is more a matter of housekeeping than it is fixing
> problems core to the usefulness of the IETF.
> 
> That does not mean it isn't worth doing, but it does suggest
> some concern about resource expenditure.
> 
> If one believes that the IETF does not have infinite resources
> -- people, meeting time, ... -- then we ought to pay some
> attention to efficiency. Working groups are expensive.
> Creating and changing charters is expensive.
> 
> 
> JJCK> Dave, I would normally agree with you (!) on this
> principle, but JCK> it seems to me that Scott's proposed
> revision is intended to JCK> pull John Loughney's "What
> standards" document and my "STD
> 
> There is almost always a good reason for making a change that
> winds up de-focusing a working group . That does not make it
> the right thing to do.
> 
> This working group was not formed all that quickly; it had
> some history. So a charter change only 5 months after the
> working group started should cause folks some concern. They
> should be particularly concerned when the primary focus of the
> working group has stalled.
> 
> 
> JCK> repurposing" document explicitly within the WG's purview.
> Since JCK> moving forward with some consolidated version of
> the themes of JCK> those documents was one of the few areas in
> which I think I JCK> observed strong consensus in the WG's
> session last week,
> 
> I suspect you do not mean what this seems to imply about
> working group chartering: Don't focus on what was chartered;
> change the charter to focus on topics participants like.
> 
> 
> JCK> adjusting the charter to include them and avoid potential
> future JCK> debates about whether they are in scope seems
> appropriate.
> 
> Forgive me for being simplistic, but the way to avoid debates
> about issues that are off topic is to declare them off topic.
> 
> If a working group resists sufficiently hard, then disband the
> working group.
> 
> 
> JCK> Hmm.  I interpreted a significant fraction of that thread
> as JCK> evidence that we still don't have a solution to the
> problem that JCK> almost any topic is taken as grounds by some
> members of the JCK> community to launch another iteration of
> their pet rants.
> 
> This sounds more like either a question of working group
> management or lack of sufficient rough consensus about what
> problem to solve. Either way, it is difficult to imagine that
> expanding the charter does much that is good, particularly
> since it is merely in response to a face-to-face meeting and
> the change  was not even on the agenda.
> 
> 
> Is that now considered to be a pre-requisite for raising
> concerns about working group productivity?
> 
> It does seem to be a question that gets raised more
> frequently, as a way of deflecting critical comments.  (No,
> not just directed at me; I've noticed it getting used more
> broadly.)
> 
> Alas, Harald, when there are 6-7 meeting tracks at the IETF,
> not everyone can attend every meeting they would wish to. But
> let's not fix the problem of too many parallel meetings; let's
> use non-attendance as a stick for beating back critical
> questions.
> 
> 
> HTA> If we believe that the charter is anything like a
> contract between the HTA> community and the WG to deliver
> results, and that deliverables should be  HTA> listed in teh
> charter, it is logical to ask to update the charter when the 
> Contracts do not get rewritten on a whim.  And certainly not
> just because one side wants to.
> 
> The working group contracted to do particular work.  Why is it
> required to change that contract at this point in time?  What
> is the benefit to the IETF or the community?  What problem
> with IETF utility will it solve?
> 
> 
> HTA> Now, if you want to argue that those specific work items
> shouldn't be taken  HTA> on by the group, please do so. So
> far, you haven't made that case.
> 
> I don't suppose you have considered how inappropriate it is
> for the working group's area director to enter into this sort
> of exchange, in this manner, and rendering this sort of
> assertion.
> 
> 
> d/
> --
> newtrk
> resources:_____________________________________________________
> web user interface:
> http://darkwing.uoregon.edu/~llynch/newtrk.html mhonarc
> archive: http://darkwing.uoregon.edu/~llynch/newtrk/index.html

.

---

From: Larry Masinter <[email-masked]>
Date: Sat, 14 Aug 2004 23:05:09 -0700

The simple question is:

 Does the working group agree to take on the work of defining
 a new series of documents (as described in Scott's note)?

If Scott wants to assess agreement to doing so by
amending the charter and adding some milestones, I don't
think it's all that terrible, and I can't see any reason
to get bent out of shape by his request.

Personally, I don't give a rat's hindpart whether it's in
the charter itself. It's nice to have, written down somewhere,
the agreement to take on the work, and the expected schedule.

Larry
-- 
http://larry.masinter.net

.

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Mon, 16 Aug 2004 09:17:05 +0200

--On 14. august 2004 23:08 -0400 John C Klensin <[email-masked]> wrote:

> I am appalled that we are spending significant

John, you make a good argument that we need to revisit the ways in which we 
handle writing down what a working group is supposed to be doing - a 
problem that, I am sure, will significantly distract from the focus of the 
NEWTRK WG, so let's have that debate somewhere else :-)

For my part, I'm happy that people care enough to wake up - the week of 
silence after San Diego was much more scary to me than a charter discussion!

I really do hope that the WG will be able to focus on the work items 
described in the charter update, too!

                      Harald

.

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 16 Aug 2004 09:22:56 +0200

Personally, I'm sitting back waiting for people to contribute
substantively to Section 5 (Pros and Cons) of
draft-ietf-newtrk-proposals-00.txt.

When we have that section fleshed out, we'll have a basis for
deciding which avenues the WG wants to pursue, and therefore
which deliverables should be added to (or removed from) the
charter.

     Brian

.

---

From: John C Klensin <[email-masked]>
Date: Mon, 16 Aug 2004 08:43:22 -0400

> which deliverables should be added to (or removed from) the

Brian,

It is possible for me to read the above as a suggestion that no
other work go forward until you feel able to release the next
version of that draft and it can be discussed and consensus
reached.   Is that what you intend?

     john

.

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 16 Aug 2004 16:36:31 +0200

> reached.   Is that what you intend?

No, that would be highly presumptuous of me. But I don't think
it's appropriate for the *only* pros and cons input to be from
me and David Black as document authors.

     Brian
.